declare_plugin(" CVN-77 George H. W. Bush (NIMITZ Class Carrier) Current VFA-113)",
{
image     	 = "SOO.bmp",
installed 	 = true, 
dirName	  	 = current_mod_path,

fileMenuName = _("SOO"),
version		 = "2.5.5",	
developerName = _("Tomcatz"),	 
state		 = "installed",
info		 = _("CVN-77 George H. W. Bush (NIMITZ Class Carrier)(Modell Tomcatz)(CVN-77_Kran Modell Tomcatz)"),


encyclopedia_path = current_mod_path .. '/Encyclopedia',
})
----------------------------------------------------------------------------------------
mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_texture_path  (current_mod_path.."/Textures/CVN_77_Bush")

--struktur
dofile(current_mod_path..'/CVN_77_kran.lua')

local function ship_file(f)
	if dofile(f) then
		error("can't load file "..f)
		return
	end
	if(GT) then
		GT.shape_table_data = 
		{
			{
				file  	    = GT.visual.shape;
				username    = GT.Name;
				desrt       = GT.visual.shape_dstr;
			    classname 	= "lLandShip";
				positioning = "BYNORMAL";
			},
			{
				name  = GT.visual.shape_dstr;
				file  = GT.visual.shape_dstr;
			},
		}
		add_surface_unit(GT)
		GT = nil;
	else
		error("GT empty in file "..f)
	end;
end

ship_file(current_mod_path.."/CVN_77_Bush.lua")

plugin_done()